> ## Documentation Index
> Fetch the complete documentation index at: https://developers.orchestrasolutions.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate Apikey

> This operation allows you to validate your API key and make sure that it is operational. Additionally, this method will allow you to test and check that the API is functioning properly

## related

<Card title="Validate API Key Guide" icon="book" href="/guides/rest-api/utilities/validate-api-key">
  Complete guide with health check and environment verification examples
</Card>


## OpenAPI

````yaml get /Utils/apiKey
openapi: 3.0.4
info:
  title: Orchestra API
  description: Code Version 1.0.11.6
  version: Prod
servers:
  - url: https://api.orchestrasolutions.com
security: []
tags:
  - name: AP2
    description: Test AP2 controller
  - name: EWalletOperations
    description: Card operations controller
  - name: MockCredentialProvider
    description: |-
      Mock Credential Provider controller implementing JSON-RPC 2.0 protocol
      Used for testing AP2 checkout flows
  - name: PaymentGatewayAccounts
    description: Payment Gateway Accounts
  - name: PaymentGateway
    description: Universal Payment Gateway
  - name: StringTokens
    description: Token management
  - name: Tools
    description: >-
      Card tools for BIN/IIN lookup, brand identification, Luhn validation, and
      card risk assessment
  - name: Utils
    description: Utils
paths:
  /Utils/apiKey:
    get:
      tags:
        - Utils
      summary: Validate Apikey
      description: >-
        This operation allows you to validate your API key and make sure that it
        is operational. Additionally, this method will allow you to test and
        check that the API is functioning properly
      operationId: ValidateApiKey
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayTools_Api.Models.AuthenticationResult'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/PayTools_Shared.Models.ValidationErrorMessage
        '401':
          description: Not authenticated
      security:
        - ApiKeyAuth: []
components:
  schemas:
    PayTools_Api.Models.AuthenticationResult:
      type: object
      properties:
        status:
          type: string
          description: Status
          nullable: true
        userName:
          type: string
          description: Username
          nullable: true
        accountId:
          type: integer
          description: Account Id
          format: int64
        isSandbox:
          type: boolean
          description: Is this a sandbox user
      additionalProperties: false
      description: Model for display authentication results
    PayTools_Shared.Models.ValidationErrorMessage:
      type: object
      properties:
        fieldName:
          type: string
          description: Field name the error(s) are referring to
          nullable: true
        errors:
          type: array
          items:
            type: string
          description: List of errors
          nullable: true
      additionalProperties: false
      description: Model for display validation error messages
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: Please enter ApiKey into field
      name: X-Api-Key
      in: header

````